Panda3D

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
FadeLODNodeData Class Reference

This is the data that is associated with a particular instance of the FadeLODNode for the scene graph. More...

`#include "fadeLodNodeData.h"`

Inheritance diagram for FadeLODNodeData:

## Public Types
enum | FadeMode { FM_solid , FM_more_detail , FM_less_detail }

## Public Member Functions
virtual TypeHandle | force_init_type ()
virtual TypeHandle | get_type () const
virtual void | output (std::ostream &out) const
Public Member Functions inherited from AuxSceneData
double | get_duration () const
| Returns the minimum length in time, in seconds, to keep this AuxSceneData object around in the scene graph after the last time it was rendered.
double | get_expiration_time () const
| Returns the frame_time at which this AuxSceneData object is currently scheduled to be removed from the scene graph.
double | get_last_render_time () const
| Returns the last time this object was used during traversal (according to set_last_render_time()).
void | set_duration (double duration)
| Specifies the minimum length in time, in seconds, to keep this AuxSceneData object around in the scene graph after the last time it was rendered.
void | set_last_render_time (double render_time)
| Should be called with the current frame_time each time the AuxSceneData is used during traversal.
virtual void | write (std::ostream &out, int indent_level=0) const
Public Member Functions inherited from TypedReferenceCount
| TypedReferenceCount (const TypedReferenceCount &copy)
void | operator= (const TypedReferenceCount &copy)
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from AuxSceneData
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Public Attributes
int | _fade_in
FadeMode | _fade_mode
int | _fade_out
PN_stdfloat | _fade_start
Public Attributes inherited from TypedObject
| get_type
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.

## Detailed Description

This is the data that is associated with a particular instance of the FadeLODNode for the scene graph.

Definition at line 25 of file fadeLodNodeData.h.

## Member Enumeration Documentation

## ◆ FadeMode

enum FadeLODNodeData::FadeMode

Definition at line 27 of file fadeLodNodeData.h.

## Member Function Documentation

## ◆ force_init_type()

virtual TypeHandle FadeLODNodeData::force_init_type | ( |  | ) |
| inline virtual

Reimplemented from AuxSceneData.

Definition at line 51 of file fadeLodNodeData.h.

## ◆ get_class_type()

static TypeHandle FadeLODNodeData::get_class_type | ( |  | ) |
| inline static

Definition at line 40 of file fadeLodNodeData.h.

## ◆ get_type()

virtual TypeHandle FadeLODNodeData::get_type | ( |  | ) | const
| inline virtual

Reimplemented from AuxSceneData.

Definition at line 48 of file fadeLodNodeData.h.

## ◆ init_type()

static void FadeLODNodeData::init_type | ( |  | ) |
| inline static

Definition at line 43 of file fadeLodNodeData.h.

## ◆ output()

void FadeLODNodeData::output | ( | std::ostream & | out | ) | const
| virtual

Reimplemented from AuxSceneData.

Definition at line 22 of file fadeLodNodeData.cxx.

## Member Data Documentation

## ◆ _fade_in

int FadeLODNodeData::_fade_in

Definition at line 35 of file fadeLodNodeData.h.

## ◆ _fade_mode

FadeMode FadeLODNodeData::_fade_mode

Definition at line 32 of file fadeLodNodeData.h.

## ◆ _fade_out

int FadeLODNodeData::_fade_out

Definition at line 34 of file fadeLodNodeData.h.

## ◆ _fade_start

PN_stdfloat FadeLODNodeData::_fade_start

Definition at line 33 of file fadeLodNodeData.h.

The documentation for this class was generated from the following files:

- panda/src/pgraphnodes/fadeLodNodeData.h
- panda/src/pgraphnodes/fadeLodNodeData.cxx